apiVersion: apps/v1
kind: DaemonSet
metadata:
  annotations:
    deprecated.daemonset.template.generation: "1"
  creationTimestamp: "2024-12-11T23:21:38Z"
  generation: 1
  labels:
    app: submariner-routeagent
    component: routeagent
  managedFields:
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:deprecated.daemonset.template.generation: {}
        f:labels:
          .: {}
          f:app: {}
          f:component: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"664b97f0-21e4-4b46-b2f6-2dd3a747b13f"}: {}
      f:spec:
        f:revisionHistoryLimit: {}
        f:selector: {}
        f:template:
          f:metadata:
            f:labels:
              .: {}
              f:app: {}
              f:component: {}
          f:spec:
            f:containers:
              k:{"name":"submariner-routeagent"}:
                .: {}
                f:env:
                  .: {}
                  k:{"name":"NODE_NAME"}:
                    .: {}
                    f:name: {}
                    f:valueFrom:
                      .: {}
                      f:fieldRef: {}
                  k:{"name":"SUBMARINER_CLUSTERCIDR"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_CLUSTERID"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_DEBUG"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_GLOBALCIDR"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_HEALTHCHECKENABLED"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_HEALTHCHECKINTERVAL"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_HEALTHCHECKMAXPACKETLOSSCOUNT"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_NAMESPACE"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_NETWORKPLUGIN"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                  k:{"name":"SUBMARINER_SERVICECIDR"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:resources: {}
                f:securityContext:
                  .: {}
                  f:allowPrivilegeEscalation: {}
                  f:capabilities:
                    .: {}
                    f:add: {}
                  f:privileged: {}
                  f:readOnlyRootFilesystem: {}
                  f:runAsNonRoot: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
                f:volumeMounts:
                  .: {}
                  k:{"mountPath":"/run/openvswitch"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                  k:{"mountPath":"/run/ovn-ic"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                  k:{"mountPath":"/run/xtables.lock"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                  k:{"mountPath":"/sys"}:
                    .: {}
                    f:mountPath: {}
                    f:name: {}
                    f:readOnly: {}
            f:dnsPolicy: {}
            f:hostNetwork: {}
            f:initContainers:
              .: {}
              k:{"name":"submariner-routeagent-init"}:
                .: {}
                f:command: {}
                f:env:
                  .: {}
                  k:{"name":"NODE_NAME"}:
                    .: {}
                    f:name: {}
                    f:valueFrom:
                      .: {}
                      f:fieldRef: {}
                  k:{"name":"SUBMARINER_WAITFORNODE"}:
                    .: {}
                    f:name: {}
                    f:value: {}
                f:image: {}
                f:imagePullPolicy: {}
                f:name: {}
                f:resources: {}
                f:terminationMessagePath: {}
                f:terminationMessagePolicy: {}
            f:restartPolicy: {}
            f:schedulerName: {}
            f:securityContext: {}
            f:serviceAccount: {}
            f:serviceAccountName: {}
            f:terminationGracePeriodSeconds: {}
            f:tolerations: {}
            f:volumes:
              .: {}
              k:{"name":"host-run-openvswitch"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"host-run-ovn-ic"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"host-run-xtables-lock"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
              k:{"name":"host-sys"}:
                .: {}
                f:hostPath:
                  .: {}
                  f:path: {}
                  f:type: {}
                f:name: {}
        f:updateStrategy:
          f:rollingUpdate:
            .: {}
            f:maxSurge: {}
            f:maxUnavailable: {}
          f:type: {}
    manager: submariner-operator
    operation: Update
    time: "2024-12-11T23:21:38Z"
  - apiVersion: apps/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:currentNumberScheduled: {}
        f:desiredNumberScheduled: {}
        f:numberAvailable: {}
        f:numberReady: {}
        f:observedGeneration: {}
        f:updatedNumberScheduled: {}
    manager: kube-controller-manager
    operation: Update
    subresource: status
    time: "2025-02-14T13:33:30Z"
  name: submariner-routeagent
  namespace: submariner-operator
  ownerReferences:
  - apiVersion: submariner.io/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: Submariner
    name: submariner
    uid: 664b97f0-21e4-4b46-b2f6-2dd3a747b13f
  resourceVersion: "80074710"
  uid: 93f6e5af-de93-4176-ab05-83104e8cfc38
spec:
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app: submariner-routeagent
  template:
    metadata:
      creationTimestamp: null
      labels:
        app: submariner-routeagent
        component: routeagent
    spec:
      containers:
      - env:
        - name: SUBMARINER_NAMESPACE
          value: submariner-operator
        - name: SUBMARINER_CLUSTERID
          value: rdr-blue-site-svl-2
        - name: SUBMARINER_DEBUG
          value: "false"
        - name: SUBMARINER_CLUSTERCIDR
          value: 10.254.0.0/16
        - name: SUBMARINER_SERVICECIDR
          value: 172.30.0.0/16
        - name: SUBMARINER_GLOBALCIDR
          value: 242.1.0.0/16
        - name: SUBMARINER_NETWORKPLUGIN
          value: OVNKubernetes
        - name: NODE_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: spec.nodeName
        - name: SUBMARINER_HEALTHCHECKENABLED
          value: "true"
        - name: SUBMARINER_HEALTHCHECKINTERVAL
          value: "1"
        - name: SUBMARINER_HEALTHCHECKMAXPACKETLOSSCOUNT
          value: "5"
        image: quay.io/submariner/submariner-route-agent:0.19.0
        imagePullPolicy: IfNotPresent
        name: submariner-routeagent
        resources: {}
        securityContext:
          allowPrivilegeEscalation: true
          capabilities:
            add:
            - ALL
          privileged: true
          readOnlyRootFilesystem: false
          runAsNonRoot: false
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /sys
          name: host-sys
          readOnly: true
        - mountPath: /run/xtables.lock
          name: host-run-xtables-lock
        - mountPath: /run/openvswitch
          name: host-run-openvswitch
        - mountPath: /run/ovn-ic
          name: host-run-ovn-ic
      dnsPolicy: ClusterFirstWithHostNet
      hostNetwork: true
      initContainers:
      - command:
        - submariner-route-agent.sh
        env:
        - name: SUBMARINER_WAITFORNODE
          value: "true"
        - name: NODE_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: spec.nodeName
        image: quay.io/submariner/submariner-route-agent:0.19.0
        imagePullPolicy: IfNotPresent
        name: submariner-routeagent-init
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: submariner-routeagent
      serviceAccountName: submariner-routeagent
      terminationGracePeriodSeconds: 1
      tolerations:
      - operator: Exists
      volumes:
      - hostPath:
          path: /run/xtables.lock
          type: ""
        name: host-run-xtables-lock
      - hostPath:
          path: /run/openvswitch
          type: DirectoryOrCreate
        name: host-run-openvswitch
      - hostPath:
          path: /sys
          type: ""
        name: host-sys
      - hostPath:
          path: /run/ovn-ic
          type: DirectoryOrCreate
        name: host-run-ovn-ic
  updateStrategy:
    rollingUpdate:
      maxSurge: 0
      maxUnavailable: 100%
    type: RollingUpdate
status:
  currentNumberScheduled: 10
  desiredNumberScheduled: 10
  numberAvailable: 10
  numberMisscheduled: 0
  numberReady: 10
  observedGeneration: 1
  updatedNumberScheduled: 10
